Forms
List all form submissions
Get a paginated list of all form submissions in the website.
GET
/
form-submissions
List all form submissions
curl --request GET \
--url https://{domain}/api/site/form-submissions \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/form-submissions"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/form-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/site/form-submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"User-Agent: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/site/form-submissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("User-Agent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/site/form-submissions")
.header("Authorization", "Bearer <token>")
.header("User-Agent", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/site/form-submissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["User-Agent"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalCount": 1,
"limit": 25,
"skip": 0,
"items": [
{
"name": "Contact form",
"received": 1573120479,
"fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Query Parameters
List only form submissions created after the specified timestamp (inclusive, in seconds since the Unix epoch).
Example:
1573251649
List only form submissions created before the specified timestamp (inclusive, in seconds since the Unix epoch).
Example:
1573251649
A limit on the number of objects to be returned. Between 1 and 50.
Required range:
1 <= x <= 50Example:
25
The number of items to skip (offset). Defaults to 0, i.e. the first page.
Required range:
x >= 0Example:
25
Response
200 - application/json
A paginated list of form submissions.
Last modified on September 2, 2026
Was this page helpful?
⌘I
List all form submissions
curl --request GET \
--url https://{domain}/api/site/form-submissions \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/form-submissions"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/form-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/site/form-submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"User-Agent: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/site/form-submissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("User-Agent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/site/form-submissions")
.header("Authorization", "Bearer <token>")
.header("User-Agent", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/site/form-submissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["User-Agent"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalCount": 1,
"limit": 25,
"skip": 0,
"items": [
{
"name": "Contact form",
"received": 1573120479,
"fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
